Subject: cannot view nonempty *.x file using emacs (Image[imagemagick])

From: Jim Meyering <[email-masked]>
Date: Fri, 25 May 2012 17:56:36 +0200

I was surprised to find that emacs now tries to display
all of coreutils' man/*.x files as images.  It seems to
treat any nonempty *.x file that way.

Instead of seeing what I normally treat as a simple text file with
man file [section]/text snippets, all I see is a small square (maybe
20x20 pixels) in the upper left corner of the window.

Reproduce via e.g.,

    echo foo > a.x && emacs -q a.x

The mode line reports that it is in (Image[imagemagick]) mode.

What version?

  $ emacs --version
  GNU Emacs 24.1.50.1

I build snapshots from bzr nearly daily, and could quickly bisect down to
this 3-day interval:

  GOOD emacs-2012-04-13.06h37/bin/emacs
  BAD emacs-2012-04-16.08h09/bin/emacs

When it works as I expected (i.e., I can see actual text in the primary
buffer, and no outlined square), I see "LD-script" in the mode line.